Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
msghdr Struct Reference

`#include <win32.h>`

## Data Fields
void * | msg_name
int | msg_namelen
struct iovec * | msg_iov
int | msg_iovlen
void * | msg_control
int | msg_controllen
int | msg_flags

## Detailed Description

Definition at line 229 of file win32.h.

## Field Documentation

## ◆ msg_control

void* msghdr::msg_control

Definition at line 234 of file win32.h.

## ◆ msg_controllen

int msghdr::msg_controllen

Definition at line 235 of file win32.h.

## ◆ msg_flags

int msghdr::msg_flags

Definition at line 236 of file win32.h.

## ◆ msg_iov

struct iovec* msghdr::msg_iov

Definition at line 232 of file win32.h.

## ◆ msg_iovlen

int msghdr::msg_iovlen

Definition at line 233 of file win32.h.

## ◆ msg_name

void* msghdr::msg_name

Definition at line 230 of file win32.h.

## ◆ msg_namelen

int msghdr::msg_namelen

Definition at line 231 of file win32.h.

The documentation for this struct was generated from the following file:

- include/ruby/win32.h